/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*global define, widget*/

/**
 * Widget module.
 * Module returns widget global object.
 * http://www.w3.org/TR/widgets-apis/
 * @namespace core/widget
 * @memberof core
  *
 * @example
 * //Define `foo` module which require `core/widget` module:
 * define({
 *     name: 'foo',
 *     requires: ['core/widget'],
 *     def: function (widget) {
*          var appid = widget.id;
 *     }
 * });
 */

define({
    name: 'core/widget',
    def: function coreWidget() {
        'use strict';

        return widget;
    }
});
